CMsgStreamPrintCallback Class Reference

a class to provide a feedback mechanism to show progress based on textual output More...

`#include <mia/core/callback.hh>`

Inheritance diagram for CMsgStreamPrintCallback:
[legend]
Collaboration diagram for CMsgStreamPrintCallback:
[legend]

## Public Member Functions

| CMsgStreamPrintCallback (const std::string &format)
virtual | ~CMsgStreamPrintCallback ()
Public Member Functions inherited from CProgressCallback
void | pulse ()
void | set_range (int range)
void | update (int step)
virtual | ~CProgressCallback ()

## Detailed Description

a class to provide a feedback mechanism to show progress based on textual output

This class provides progress feedback on textual outputs. The range based output shows progress in percent, and the pluse output prints a '.' whenever it is called.

Definition at line 78 of file callback.hh.

## Constructor & Destructor Documentation

## CMsgStreamPrintCallback()

CMsgStreamPrintCallback::CMsgStreamPrintCallback | ( | const std::string & | format | ) |

Constructor for the text based callback that uses msgstream for output.

Parameters

  format | the output format. It should contain the format descriptors %1% for the current progress and %2% for the progress range.

## ~CMsgStreamPrintCallback()

virtual CMsgStreamPrintCallback::~CMsgStreamPrintCallback | ( |  | ) |

virtual

The documentation for this class was generated from the following file:

- callback.hh